/***************************
* Main Dashboard Styles
****************************/


.dashboard-container a {
	text-decoration: none;
}


.gridster ul {
	list-style: none;
	padding: 0px;
	margin: 0;
}

.gridster li {	
	background: #fafafa;	
	box-shadow: 1px 1px 2px #ccc;
}

.api-list-view-object {
	color: #333;
	cursor: pointer;
}

.api-list-edit-object {
	color: #333;
	cursor: pointer;
	margin-left: 3px;
}



/* Portlet Header */
.portlet-header { 
	padding-bottom: 4px;
	padding-top: 4px;
	background: #0066CC;
	width: 100%;
	font-size: 13px;
	font-weight: bold;
	text-align: center;
	cursor: move;
	color:#fff;
}

	.portlet-header span.title {
		margin-right: 3px;
		margin-left: 55px;
		color: #fff;
	}

	.portlet-header span.portlet-action {
		float:right;
		margin-right: 5px;
		cursor: pointer;
		color: #0066CC;
	}
	
	.portlet-action > .icon-spin {
		color: #fff;
	}
		
	.portlet-header span:hover {
		color: #ccc;
	}



/* Portlet Content */
.portlet-content {
	overflow: auto;
	position: relative;
	padding: 0 0 0 0;
	max-height: 90%;
	width: 100%;
}


/* Table Portlet */
table.portlet-list {
	width: 100%;
	margin: 0;
	border: 2px solid #fafafa;
}

.gridster li:hover .portlet-header span {
	color: #fff;
}


.portlet-list th {
	border-bottom: 1px solid #aaa !important; 
	cursor: default;
}


.portlet-list td, th {
	text-overflow: ellipsis;
	white-space: nowrap;
	overflow: hidden;
	
}

.odd {
	background: #eee;
}

.portlet-list th {
	white-space: nowrap;
}



.dashboard-message {
	float: left;
	line-height: 24px;
	margin-left: 5px;
}

.left {
	text-align: left;
}


.ui-dialog {
	width: 600px !important;
	min-height: 500px;
}

button {
	display: block;
	background: #0066CC;
	color: #fff;
	border:none;
	cursor: pointer;
}

button:hover {
	background: #0066FF;
}

button:active {
	background: #0066AA;
}


.edit {
	font-weight: normal;
}

.portlet-button {
	width: 190px;
	text-align: left;
	margin-bottom: 2px;
}

#order {
	visibility: hidden;
	display: none;
}

.ui-widget-header {
	border-radius: 0px !important;
	background: #0066CC !important;
}

.ui-widget {
	border-radius: 0px !important;
}

ui-widget-content {
	border: 1px solid #fff !important;
}

#open-new-widget {
	height: 24px;
}

#generate-default-dashboard {
	display: none;
}

.top-left {
	float: left;
	margin-left: 0;
	margin-right: 4px;
	height: 24px;
}

.top-right {
	float: right;
	margin-right: 0;
}

.dashboard-manage {
	height: 24px;
	margin: 0 0 5px 0;
}

#manage-user {
	float: left;
}

#manage-tenant {
	float: left;
}

/***************************
* API List Portlet Styles
****************************/
.api-list-container {
	/*width: 97%;
	margin: 5px auto;*/
	overflow-x: auto;
}

.api-list-odd {
	background: #ECECEC;
}

table.dataTable thead th {
	border-bottom: 1px solid #ccc;
}

.input-group {
	margin: 0 0 10px; 11px;
	width: 500px;
}

.options {
	margin: 0 0 0 17px;
}

.options select {
	width: 100px;
}

.options input {
	width: 40px;
}


.input-group input {
	width: 100%;
}

.input-group input.column-checkbox {
	float: left;
	width: auto;
	height: 12px;
}

.input-group label {
	font-weight: bold;
}

.input-column {
	margin: 0 0 0 0;
	padding: 0;
	float: left;
}

.column-order {
	margin: 0 0 0 35px;
}

ul.columns {
	list-style: none;
	height: 200px;
	width: 210px;
	margin: 0;
	padding: 0;
	overflow-y: scroll;
	overflow-x: hidden;
	border: #000 1px solid;
}

ul.columns li {
	width: 200px;
	line-height: 20px;
	clear: both;
}

ul.columns li span {
	width: 180px;
	overflow: show;
	
}

ul.columns-selected {
	list-style: none;
	overflow-y: auto;
	overflow-x: hidden;
	width: 210px;
	margin: 0 0 0 0;
	padding: 0;
	height: 200px;
	border: 1px solid #000;
}

ul.columns-selected li {
	line-height: 30px;
	width: 190px;
	margin: 3px auto;
	padding-left: 5px;
	border: 1px solid #ccc;
	background: #fff;
	cursor: move;
}






/***************************
* Dialog Box Styles
****************************/

.dashboard-ui-widget-content {
	background: #fafafa;
	padding: 0;
}

.dashboard-ui-widget-header {
	background: #0066CC;
	border-radius: 0px;
	color: #ffffff;
	font-weight: bold;
}

.dashboard-ui-widget-header .ui-icon {
	background-image: url(../global/jquery-ui-theme/images/ui-icons_ffffff_256x240.png);
}

.loading-container {
	display: none;
}




/***************************
* New Portlet Dialog
****************************/
#portlet-types {
	list-style: none;
	display: block;
	text-align: center;
	height: 360px;
	margin: 0 0 0 0;
	float: left;
	padding: 0;
}

#portlet-types li {
	background: #0066CC;
	cursor: pointer;
	color: #fafafa;
	padding: 10px 20px 10px 20px;
	width: 80px;
	margin: 0 5px 5px 0;
	font-size: 16px;
}

#portlet-types li:hover {
	color: #ddd;
}

#portlets {
	margin: 10px 0 0 0;
}



form#clone {
	display: inline;
}

.dialogContent {
	text-align: left;
}


.content {
	text-align: center;
}

.content button {
	float: left;
}

.page-title {
	margin-bottom: 5px;
	padding-bottom: 4px;
	padding-top: 4px;
	background: #0066CC;
	width: 100%;
	font-size: 13px;
	font-weight: bold;
	text-align: center;
	color:#fff;
}

#templates {
	display: none;
}

/**
* Object view
**/

dl.inline dd,dt {
	margin:  0 0 4px 0;
	font-size: 1.1em;
}

dl.inline dd {
  width: 300px;
  float: left;
}

dl.inline dt{
	color: #333;
  	float: left;
  	clear: left;
	width: 200px;
	font-weight: bold;

}

dl.inline dd input,textarea {
	border: 1px solid #ccc;
	border-radius: 4px;
	box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
}

dl.inline dd button {
	width: 80px;
	height: 25px;
	font-weight:bold;
}


/***
*	Dashboard form styles
***/

.dashboard-form input {
	border: 1px solid #ccc;
	border-radius: 4px;
	box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
	width: 100%;
}

.dashboard-form textarea {
	border: 1px solid #ccc;
	border-radius: 4px;
	box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
	width: 100%;
}

.dashboard-form select {
	border: 1px solid #ccc;
	border-radius: 4px;
	height: 28px;
	box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
	margin: 0px;
	width: 60%;
}

.dashboard-form label {
	float: right;
	margin: 0 5px 0 0;
}

.dashboard-input-group {
	margin: 5px 5px 5px 5px;
	height: 28px;
}

.dashboard-label {
	width: 30%;
	float: left;
	line-height: 28px;
	font-weight: bold;
}

.dashboard-input {
	width: 65%;
	float: left;
}

.rowHighlight {
	background: #fdde53;
}